summaryrefslogtreecommitdiff
path: root/system/microemulator/microemulator.SlackBuild
diff options
context:
space:
mode:
authorFridrich von Stauffenberg <cancellor2@gmail.com>2011-08-09 14:48:29 -0300
committerNiels Horn <niels.horn@slackbuilds.org>2011-08-09 14:48:29 -0300
commitb8bedd097ac5cd882f7241cabfc3069ae8e0f768 (patch)
tree8e2b98bdfad6bebc65dd3ed7b181bb988f240324 /system/microemulator/microemulator.SlackBuild
parent365fe7e74e1526ec004ec107a195223b47b96800 (diff)
downloadslackbuilds-b8bedd097ac5cd882f7241cabfc3069ae8e0f768.tar.gz
system/microemulator: Added (J2ME emulator)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system/microemulator/microemulator.SlackBuild')
-rw-r--r--system/microemulator/microemulator.SlackBuild73
1 files changed, 73 insertions, 0 deletions
diff --git a/system/microemulator/microemulator.SlackBuild b/system/microemulator/microemulator.SlackBuild
new file mode 100644
index 0000000000..4742465990
--- /dev/null
+++ b/system/microemulator/microemulator.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/bash
+#
+# Slackware build script for MicroEmulator
+# Copyright (C) 2011 Fridrich von Stauffenberg <cancellor2@gmail.com>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+PRGNAM=microemulator
+VERSION=${VERSION:-2.0.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# MicroEmulator is written in Java
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip $CWD/$PRGNAM-$VERSION.zip
+cd $PRGNAM-$VERSION
+
+chown -R root:root .
+
+mkdir -p $PKG/opt/$PRGNAM
+mv * $PKG/opt/$PRGNAM
+
+# Add a desktop menu entry
+mkdir -p $PKG/usr/share/applications
+cat $CWD/$PRGNAM.desktop > $PKG/usr/share/applications/$PRGNAM.desktop
+
+# Add a wrapper script
+cat $CWD/$PRGNAM > $PKG/opt/$PRGNAM/$PRGNAM
+chmod 755 $PKG/opt/$PRGNAM/$PRGNAM
+
+# Put a symlink in /usr/bin
+mkdir -p $PKG/usr/bin
+ln -s /opt/$PRGNAM/$PRGNAM $PKG/usr/bin
+
+# Extract an icon from .jar and put it to the standard location
+unzip $PKG/opt/$PRGNAM/microemulator.jar org/microemu/icon.png
+mkdir -p $PKG/usr/share/pixmaps
+mv org/microemu/icon.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}